@extends('layouts.app')

@section('content')

<div class="card">
    <div class="card-body">
        <h3 class="card-title">Messages</h3>
        <div class="table-responsive">
            <table class="table table-bordered" id="users-table">
                    <thead>
                        <tr>
                            <th>S. No.</th>
                            <th>Subject</th>                            
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                </table>
        </div>
    </div>
</div>
<div class="modal fade" id="loadModalAjax" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" style="display: none;" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
    </div>
    <!-- /.modal-content -->
   </div>
  <!-- /.modal-dialog -->
</div>
</div>

@stop

@section('javascript')
    <script>
        var t = $('#users-table').DataTable({
                processing: true,
                serverSide: true,
                ajax: '{!! url('/') !!}/admin/users/getUrequest',
                dom: 'frtip',
                'lengthMenu': [ [10, 25, 50, -1], [10, 25, 50, "All"] ],
                columns: [
                    { data: 'id', name: 'id' },
                    { data: 'subject', name: 'subject' },
                    { data: 'admin_read', name: 'admin_read' },
                    { data: 'action', name: 'action' }
                ],
                "columnDefs": [
                    {
                        "render": function ( data, type, row ) {
                        if(data==0){
                            return '<span class="label label-success">Read</span>';
                        }else{
                            return '<span class="label label-danger">Unread</span>';
                        }
                        },
                        "targets": 2
                    },
                ],
                'order': [[1, 'asc']],
                drawCallback: function( settings ) {
                    openModal();
                  }
            });
            
            function openModal(){
              $('.openModal').click(function(){
                 $('#loadModalAjax .modal-content').load('{{ url('/') }}/users/' + $(this).attr('data-id'),function(result){
                    $('#loadModalAjax').modal({show:true});
                  //init_validation('#updateStudentForm', rules, messages);
                   });
              });
              $('.openModalInvoices').click(function(){
                 $('#loadModalAjax .modal-content').load('/student_invoices_modal.php?id=' + $(this).attr('data-id'),function(result){
                    $('#loadModalAjax').modal({show:true});
                  //init_validation('#updateStudentForm', rules, messages);
                   });
              });
            }

    </script>
@endsection
